%define somajor 0
%define libname    %mklibname %{name} %{somajor}
%define devel_name %mklibname %{name} -d

Name:       libopenrazer
Version:    0.2.0
Release:    %mkrel 1
Summary:    Qt wrapper around the D-Bus API from OpenRazer
Group:      System/Libraries
License:    GPL-3.0-or-later
URL:        https://github.com/z3ntu/libopenrazer
Source0:    https://github.com/z3ntu/libopenrazer/releases/download/v%{version}/libopenrazer-%{version}.tar.xz

Patch1: libopenrazer-0.2.0-fix-systemctl-user.patch

BuildRequires: meson
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5DBus)
BuildRequires: pkgconfig(Qt5Xml)
BuildRequires: qttools5


%description
Qt wrapper around the D-Bus API from OpenRazer

%package -n %{libname}
Summary:    Development libraries for %{name}
Group:      System/Libraries

%description -n %{libname}
%{summary}.

%package -n %{devel_name}
Summary:    Development header files for %{name}
Group:      Development/Other
Requires:   %{libname}

%description -n %{devel_name}
%{summary}.


%prep
%autosetup -n libopenrazer-%{version} -p1

%build
%meson
%meson_build

%install
%meson_install

%check
%meson_test


%files -n %{libname}
%{_libdir}/libopenrazer.so.*

%files -n %{devel_name}
%{_libdir}/libopenrazer.so
%{_libdir}/pkgconfig/libopenrazer.pc
%{_includedir}/libopenrazer*




%changelog
* Thu May 16 2024 squidf <squidf> 0.2.0-1.mga9
+ Revision: 2064503
-First MGA package inspired by openSUSE


* Sun Dec 3 2023 squidf <squid-f> 0.2.0-0.1
- Patch systemctl command

* Sat Dec 2 2023 squidf <squid-f> 0.2.0-0
- Initial Mageia package, based on OBS
